// Input_7433.h: interface for the CInput_7433 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputBase.h"

class CAdlinkCommon;

class CInput_7433 : public CInputBase
{
public:
    CInput_7433(const CInputSetting& Setting);
    virtual ~CInput_7433();

    int GetState() override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
